Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## writer2latex.latex.util
Class HeadingMap

    java.lang.Object
      writer2latex.latex.util.HeadingMap

    public class HeadingMap

extends java.lang.Object

This class contains data for the mapping of OOo headings to LaTeX headings. A LaTeX heading is characterized by a name and a level. The heading is inserted with \name{...} or \name[...]{...} The headings are supposed to be "normal" LaTeX headings, ie. the names are also counter names, and the headings can be reformatted using \@startsection etc. Otherwise max-level should be zero.

Field Summary
`private int[]` | `nLevel`
`private int` | `nMaxLevel`
`private java.lang.String[]` | `sName`

Constructor Summary
`HeadingMap(int nMaxLevel)` Constructor: Create a new HeadingMap

Method Summary
`int` | `getLevel(int nWriterLevel)` Return the LaTeX level for this Writer level (for \@startsection)
`int` | `getMaxLevel()` Returns the maximal Writer level associated with this HeadingMap
`java.lang.String` | `getName(int nWriterLevel)` Return the name (for counter and \@startsection) for this level
`void` | `reset(int nMaxLevel)` Clear all data associated with this HeadingMap (in order to reuse it)
`void` | `setLevelData(int nWriterLevel, java.lang.String sName, int nLevel)` Set data associated with a specific heading level

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### nMaxLevel

    private int nMaxLevel

### sName

    private java.lang.String[] sName

### nLevel

    private int[] nLevel

Constructor Detail

### HeadingMap

    public HeadingMap(int nMaxLevel)

  Constructor: Create a new HeadingMap

  Parameters:
    `nMaxLevel` - the maximal level of headings that are mapped

Method Detail

### reset

    public void reset(int nMaxLevel)

  Clear all data associated with this HeadingMap (in order to reuse it)

### setLevelData

    public void setLevelData(int nWriterLevel,
                             java.lang.String sName,
                             int nLevel)

  Set data associated with a specific heading level

### getMaxLevel

    public int getMaxLevel()

  Returns the maximal Writer level associated with this HeadingMap

### getName

    public java.lang.String getName(int nWriterLevel)

  Return the name (for counter and \@startsection) for this level

### getLevel

    public int getLevel(int nWriterLevel)

  Return the LaTeX level for this Writer level (for \@startsection)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD